/**
*   Zgadywanka 
*  
*   Litery w słowie nie mogą się powtarzać
* 
* 
*/

/**
* @author MB
* @date 12-10-2021
* @version 1.0
*/


#include <iostream>
#include "czolowka.h"
#include "funkcje.h"
using namespace std;

int main()
{
    //szukane słowo
    string slowo = "komputer";

    //wyświetlane słowo z wynikiem
    string wynik = "--------";

    //wyswietla czołówkę programu
    czolowka(wynik);

    //podana litera
    char litera;
    
    //ilość znalezionych liter
    int znalezione = 0;

    //pętla działa dopóki nie zgadniemy wszystkich liter
    while (znalezione != slowo.size()) {
        cout << "podaj litere: ";
        cin >> litera;

        // sprawdzamy, czy w danym slowie jest litera
        size_t jest = findCharacter(slowo, litera);

        //jeśli podana litera znajduje sie w słowie wstawiamy ją do wyniku,
        //usuwamy ją ze slowa 
        //oraz inkrementujemy ilość znalezionych liter
        if (jest != string::npos) {
            wynik[jest] = litera;
            slowo[jest] = '-';
            znalezione++;
        }

        //wyświetlamy wynik
        for (char c : wynik) {
            cout << c;
        }

        cout << endl;

    }

    cout << "Zgadles, gratulacje";

    getchar();
    getchar();

    return 0;
}